Ubuntu 16.04 supporta schede grafiche ibride (bumblebee)

16

Ubuntu 16.04 supporta schede grafiche ibride? Chiedo grazie al supporto di ubuntu snappy core in Ubuntu 16.04.

Uso bumblebee per iniziare, ad esempio un gioco, con una qualità grafica migliore. (optirun ./start.sh)

Link a bumblebee

Funziona con Ubuntu 16.04?

    
posta JOnathanJOnes 19.04.2016 - 10:38

6 risposte

19

Ho funzionato dopo alcuni tentativi (nvidia-364, da ubuntu graphics ppa).

sudo add-apt-repository ppa:graphics-drivers/ppa
sudo apt-get update

sudo apt-get install nvidia-364

sudo apt-get install bumblebee bumblebee-nvidia primus linux-headers-generic

sudo systemctl enable bumblebeed

Dopo che sudo gedit /etc/modules e aggiungi 2 righe:

i915
bbswitch

poi

sudo prime-select intel

sudo gedit /etc/bumblebee/bumblebee.conf

nella riga 22: Driver=nvidia

Assicurati di cambiare le linee cambiando ogni% da% co_de a nvidia-current (o qualsiasi altra versione tu abbia).

Dopodiché, puoi riavviare il computer in modo sicuro.

    
risposta data Huba Buba 22.04.2016 - 23:49
10

Bumblebee non ha avuto sviluppo dal 2013 ed è deprecato in 16.04, l'installazione di nvidia-361 e nvidia-prime dovrebbe occuparsi della funzionalità bumblebee. pilot6 ha fornito i dettagli di utilizzo qui .

Non lasciare che il commento "è rotto" ti influenzerà. Ci sono stati molti miglioramenti nel frattempo.

    
risposta data emk2203 19.04.2016 - 11:32
3

Ancora niente sul problema vsync. Avremo bisogno del kernel 4.5, della patch xorg (1.19) e della patch nvidia.

Puoi seguire il thread qui.

link

    
risposta data Eduardo Moñino Esteban 22.04.2016 - 13:34
2

La versione di bumblebee nei repository e il driver di nvidia-361 predefinito non funzionano. Devi installare un vecchio driver nvidia e modificare manualmente più file di configurazione o installare i driver bumblebee e nvidia da ppa e anche modificare manualmente i file. L'alternativa è usare nvidia-prime per cambiare i driver grafici, ma questo richiede che tu esca ogni volta. Bumblebee funziona fuori dalla scatola in diverse altre distribuzioni, quindi è deludente dover passare attraverso così tanti cerchi per farlo funzionare in una grande distribuzione come Ubuntu.

    
risposta data Alrekur 30.04.2016 - 02:42
0

Sì, è supportato. Come Huba Buba ha sottolineato, sono alcuni problemi che dovrebbero essere risolti nella prossima versione 4.0 di Bumblebee. Una pre-versione è disponibile tramite il nostro test PPA , se lo provi per favore dai un'occhiata a link , 759 e 761. Segnala i tuoi risultati qui per dirci se hai ancora bisogno di modificare il file bumblebee.conf .

Inoltre, notare che il comando selezione primaria (e quindi l'installazione di nvidia-prime) non sono affatto necessari. E mentre puoi installare entrambi, far funzionare entrambi è un po 'più complicato.

    
risposta data Archange 20.05.2016 - 15:07
0

Ci sono vari modi per abilitare la tecnica Optimus. Bumblebee è solo una delle soluzioni per alcuni computer supportati. Vedi questo domanda con un link alla pagina wiki di Ubuntu ufficiale. Se si preferisce utilizzare Bumblebee, suggerisco di attendere che la versione 4.0 venga (presto) per evitare problemi di compatibilità del driver NVidia. Spero che questo aiuti.

    
risposta data Xiaodong Qi 03.05.2016 - 09:31

Leggi altre domande sui tag